## deepdish 0.3.7

=== requirements.txt ===
numpy
scipy
tables

=== debian/changelog ===
deepdish (0.3.7-4) unstable; urgency=medium

  * Team upload.
  * Update core.py and hdf5io.py to be compatible with latest version of
    numpy (closes: #1095339).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 16:33:54 +0000

deepdish (0.3.7-3) unstable; urgency=medium

  * Team Upload
  * Add Vcs tags
  * Use new Team email address
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 07 Dec 2024 15:34:44 +0100

deepdish (0.3.7-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 19 Dec 2023 15:36:25 +0100

deepdish (0.3.7-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Wed, 22 Nov 2023 13:48:27 +0100

=== debian/control ===
Source: deepdish
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-numpy,
               python3-scipy,
               python3-setuptools,
               python3-tables,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/uchicago-cs/deepdish
Vcs-Browser: https://salsa.debian.org/python-team/packages/deepdish
Vcs-Git: https://salsa.debian.org/python-team/packages/deepdish.git
Rules-Requires-Root: no

Package: python3-deepdish
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Flexible HDF5 saving/loading and other data science tools
 The primary feature of deepdish is its ability to save and load all
 kinds of data as HDF5. It can save any Python data structure,
 offering the same ease of use as pickling or numpy.save. However, it
 improves by also offering:
 .
  - Interoperability between languages (HDF5 is a popular standard)
  - Easy to inspect the content from the command line (using h5ls or our
    specialized tool ddls)
  - Highly compressed storage (thanks to a PyTables backend)
  - Native support for scipy sparse matrices and pandas DataFrame, Series
    and Panel
  - Ability to partially read files, even slices of arrays

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=deepdish
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/deepdish/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/deepdish/deepdish-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
